log4shib::Layout(3)

NAME
log4shib::Layout - Extend this abstract class to create your own log layout format.

SYNOPSIS

#include <Layout.hh>

Inherited by log4shib::BasicLayout, log4shib::PatternLayout, and log4shib::SimpleLayout.

  Public Member Functions
virtual ~Layout ()
Destructor for Layout.
virtual std::string format (const LoggingEvent &event)=0
Formats the LoggingEvent data to a string that appenders can log.

Detailed Description

Extend this abstract class to create your own log layout format.

Constructor & Destructor Documentation

  virtual log4shib::Layout::~Layout () [inline], [virtual]

Destructor for Layout.

Member Function Documentation

  virtual std::string log4shib::Layout::format (const LoggingEvent & event) [pure virtual]

Formats the LoggingEvent data to a string that appenders can log. Implement this method to create your own layout format.

Parameters
    event The LoggingEvent.

Returns
    an appendable string.

Implemented in log4shib::BasicLayout, log4shib::PatternLayout, and log4shib::SimpleLayout.

Author

Generated automatically by Doxygen for log4shib from the source code.